## unifont 6.3.20131221-1%2bfremantle0

=== debian/changelog ===
unifont (1:6.3.20131221-1+fremantle0) unstable; urgency=low

  * Initial port for Fremantle

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Sun,  3 Aug 2014 09:25:32 +0200

unifont (1:6.3.20131221-1) unstable; urgency=medium

  * debian/control:
    - Added Build-Depends-Indep entries in unifont entry for
      fontforge and xfonts-utils, removing them from Build-Depends.
      (Also adding build-indep target in debian/rules to match.)
    - Simplified Build-Depends entry for debhelper to be >= 9.
  * debian/rules:
    - override_dh_auto_build-indep: new target.
    - override_dh_auto_build-arch: new target.
    - Removed override_dh_auto_build target.
  * debian/unifont-bin.doc-base:
    - Title: Added "and Reference" "GNU Unifont Utilities Tutorial".
    - Added to Abstract.
    - Added entries for unfont.info.gz and unifont.pdf.gz.
  * debian/unifont-bin.docs: removed ChangeLog.  Its contents
    now get added to debian/changelog after the debian/ entries.
  * ChangeLog: corrected date on last entry from 12-27 to 12-17.
  * Makefiles: updated date for new release.
  * font/hexsrc/unifont-base.hex: Modified glyphs to appear better
    in APL: U+22F8, U+233B, U+233E, U+235B, and U+2364.
  * font/ttfsrc/Makefile: commented out SetFontNames function calls
    in fontforge.  Not all applications were interpreting that data
    correctly.  For example, in LibreOffice, it listed the font as
    the foundry name ("GNU") rather than the foundry name plus the
    font name ("GNU Unifont") or just the font name.  That is a bug
    in LibreOffice, so if such things are fixed in the future then
    these calls can be re-introduced.
  * src/hex2bdf:
    - Rearranged some properties (cosmetic change).
    - Changed default font name from "unifont" to "Unifont".
  * src/unigencircles.c: changed subscript from MAXSTRING to
    MAXSTRING-1 at line 61.

 -- Paul Hardy <unifoundry@unifoundry.com>  Fri, 20 Dec 2013 20:31:46 -0800

unifont (1:6.3.20131217-1) unstable; urgency=medium

  * debian/control: moved unifont Build-Depends-Indep entries for
    xfonts-utils and fontforge to Build-Depends.  (Closes: #732381)
  * Switched to upstream version 6.3.20131217.
  * doc/Makefile: removed redirection of texi2pdf output.
  * doc/unifont.pdf: rebuilt file.
  * font/Makefile:
    - Don't modify PCF fonts with FontForge, which alters them
      so grub-mkfont can't read them.
    - In font/compiled, insert $(VERSION) into unifont.sfd name.
  * font/ttfsrc/Makefile (clean): remove *.bdf, so unifont_sample.bdf
    is removed.
  * README: removed date stamp at top of file.

 -- Paul Hardy <unifoundry@unifoundry.com>  Tue, 17 Dec 2013 19:05:43 -0800

unifont (1:6.3.20131215-1) unstable; urgency=low

  * Switched to upstream version 6.3.20131215.
    (Closes: #698191, #698194, #727309)
    (LP: #1231173)
  * debian/compat: now set to "9".
  * debian/control:
    - unifont source package now Build-Depends on debhelper (>= 9.0).
    - Standards-Version updated to 3.9.5.
    - Removed redundant "Section: fonts" entries.
    - Added Suggests to unifont-bin for texinfo package, to run makeinfo
      and texi2pdf if someone wants to change the source documents.
    - Updated Description fields to reflect the installation of the
      special-purpose font "Unifont Sample" alongside the standard font
      "Unifont".
  * debian/copyright - updated to reflect new licensing arrangements.
  * debian/README.Debian - removed an extraneous "the".
  * debian/rules: Now builds with "dh" instead of the old debhelper scripts.
  * debian/unifont-bin.doc-base: old "unifont-intro.txt" is now "unifont.txt".
  * debian/unifont-bin.docs: added new document files for binary package.
  * debian/unifont-bin.info: added to support new Texinfo documentation.
  * debian/unifont-bin.lintian-overrides: override a probable false positive
    complaint about hardening.  All binaries are built with the very same
    flags, and lintian only complains about hardening in one of those programs.
  * src/unihex2png: new program to convert unifont.hex to PNG image.
  * src/unipng2hex: new program to convert PNG image to unifont.hex.
  * src/hex2bdf:
    - Added new XLFD properties for font generation for FreeType and
      grub-mkfont support; includes version & copyright info.
    - Fields now begin with upper-case, including "unifont"-->"Unifont".
    - Changed POINT_SIZE property from 160 to 120.
    - Added "Sans" style name to FONT string plus XLFD property.
    - Added command line options for font name, version, & glyph height.
    - Allow generation of fonts with other than 16 pixel rows/glyph, to
      support new capabilities of unihex2png, unipng2hex, and hexdraw.
  * src/unidup.c: now takes an optional file name on the command line.
  * src/*.c: reformatted to follow GNU Coding Standards.
  * man/*: Updated man pages to reflect new options, new programs,
    and to reflect the GPLv2+ license now common to all programs.
  * doc/: new directory with Texinfo files.
  * ChangeLog: created new file.
  * COPYING: created new file.
  * INSTALL: file created using BUILDING section from old README file.
  * LICENSE: removed; its contents are in README and COPYING now.
  * NEWS: created new file.
  * Makefiles: added "SHELL = /bin/sh" if not already declared.
  * Makefiles (distclean): added removal of "*~" if not already declared.
  * Makefile: compress text files with "gzip -f -9" during installation.
  * font/Makefile: fontforge scripting updated; now adds font copyright,
    license, version and other info to PCF files.
  * font/hexsrc/unifont-base.hex:
    - Redrew several Armenian letters (U+0530..U+058F).
    - Redrew Capricorn symbol (U+2651).
    - Redrew CJK Radical Supplement glyphs: U+2E9F, U+2EA9, U+2EAC,
      U+2EAE, U+2EC0, U+2EDE, U+2EE7, and U+2EED.
  * font/ttfsrc/Makefile: fontforge scripting command changed from
    "Simplify(-1,1)" to "Simplify(64,1)" to "merge lines which are


=== debian/control ===
Source: unifont
Section: fonts
Priority: optional
Maintainer: Paul Hardy <unifoundry@unifoundry.com>
Build-Depends: debhelper7, maemo-optify
Build-Depends-Indep: fontforge, xfonts-utils
Standards-Version: 3.9.5
Homepage: http://unifoundry.com

Package: unifont
Architecture: all
Depends: xfonts-unifont, ttf-unifont, xfonts-utils, ${misc:Depends}
Replaces: unifont-bin (<< 1:5.1.20080706-1)
Suggests: unifont-bin
Description: font with a glyph for each visible Unicode Plane 0 character
 This package is a convenient way to install both the PCF bitmap
 version and the scalable TrueType outline version of "Unifont"
 (intended for general-purpose use) and "Unifont Sample" (which contains
 combining circles to use for illustration purposes).  It also installs
 a copy of unifont.hex and related files in /usr/share/unifont.
 .
 GNU Unifont was designed to render something besides an empty box
 for each visible Unicode character in the Basic Multilingual Plane
 (Plane 0).  Plane 0 contains most of the world's modern writing
 scripts.  This font looks best at 12pt.
 .
 Complex fonts (such as Indic or Semitic scripts, where letters
 change shape depending on their position in a word, or such as
 Mongolian, which is written vertically) will not render perfectly.
 The philosophy behind this font, though, is that anything meaningful
 is better than an empty box for a unknown glyph.

Package: xfonts-unifont
Architecture: all
Depends: xfonts-utils, ${misc:Depends}
Replaces: unifont (<< 1:5.1.20080706)
Conflicts: unifont (<< 1:5.1.20080706)
Suggests: ttf-unifont
Description: PCF (bitmap) version of GNU Unifont
 This contains two fonts: "Unifont" (unifont.pcf.gz) and
 "Unifont Sample" (unifont_sample.pcf.gz).
 .
 This is a bitmap version of Unifont and Unifont Sample in a
 standard X11 format.  The fonts provide a glyph for each visible
 code point (character) in the Unicode Basic Multilingual Plane
 (Plane 0).  Plane 0 contains most of the world's modern writing
 scripts.  These fonts look best at 12pt.
 .
 Unifont Sample contains combining circles for combining characters,
 and so is suited for illustrating individual Unicode glyphs, whereas
 Unifont is intended for general-purpose writing.
 .
 Complex fonts (such as Indic or Semitic scripts, where letters
 change shape depending on their position in a word, or such as
 Mongolian, which is written vertically) will not render perfectly.
 The philosophy behind Unifont, though, is that anything meaningful
 is better than an empty box for a unknown glyph.
 .
 Consider using the TrueType version instead (ttf-unifont), because
 that version is scalable to any point size and has proper combining
 character support.

Package: ttf-unifont
Architecture: all
Depends: xfonts-utils, ${misc:Depends}
Description: TrueType version of GNU Unifont
 This contains two fonts: "Unifont" and "Unifont Sample".
 .
 unifont.ttf is a bitmap font converted into a scalable TrueType
 outline font, Unifont.  Each pixel in the original bitmap font
 is represented as an outlined square.  The font provides a glyph
 for each visible code point (character) in the Unicode Basic
 Multilingual Plane (Plane 0).  Plane 0 contains most of the
 world's modern writing scripts.  This font looks best at 12pt.
 .
 unifont_sample.ttf is an SBIT font that contains combining circles
 and is therefore suitable for illustrating individual Unicode glyphs.
 unifont.ttf does not contain combining circles and so is suitable
 for general-purpose writing.
 .
 Complex fonts (such as Indic or Semitic scripts, where letters
 change shape depending on their position in a word, or such as
 Mongolian, which is written vertically) will not render perfectly.
 The philosophy behind this font, though, is that anything meaningful
 is better than an empty box for a unknown glyph.

Package: unifont-bin
Section: x11
Architecture: any
Depends: xfonts-utils, fontforge,
 ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: unifont, texinfo
Description: utilities for manipulating the GNU Unifont
 This is a set of Perl scripts, C programs, and FontForge scripts
 to manipulate Roman Czyborra's GNU Unifont ".hex" format font
 files.  GNU Unifont has a Unicode-compatible font structure.
 These utilities allow editing ".hex" fonts with text and
 graphical editors, producing final versions of fonts in BDF,
 PCF, TrueType SBIT, and TrueType outline formats.
 .
 To build the TrueType fonts, install the package 'fontforge'.
 To build the PCF fonts, use 'bdftopcf', which is in the
 'xfonts-utils' package.  To obtain the font sources, run
 'apt-get source unifont'.

=== debian/rules ===
#!/usr/bin/make -f

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

DH_VERBOSE=1
export DH_VERBOSE

CFLAGS   = -Wall $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

# The below build-indep target is the default way that Unifont
# is built, and is already in the "font/precompiled/" directory.
#
# BUILDFONT=1 forces the building of the font from the contents of
# "font/hexsrc/*.hex".  The results will be in the "font/compiled/"
# directory.  The font files in that directory will get installed
# in preference to the files in the "font/precompiled/" directory
# if both exist.
#
# PUA="" makes sure that the glyphs in "font/hexsrc/pua.hex" don't
# get built into the final font, though that is the default behavior.
# The flag is there also as a placeholder for building a custom
# font with a special set of PUA glyphs if desired.
#
# If the build-indep rule is commented out, then Unifont is installed
# from the pre-built files in the "font/precompiled/" directory, which
# should be identical to the files that this rule builds.

override_dh_auto_build-indep:
	$(MAKE) BUILDFONT=1 PUA=""

override_dh_auto_build-arch:
	$(MAKE) CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' \
	   LDFLAGS='$(LDFLAGS)'

override_dh_gencontrol:
	dh_gencontrol
	maemo-optify unifont-bin

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Examine a Webserver directory
ftp://ftp.gnu.org/gnu/unifont/unifont-([\d\.]+)/unifont-([\d\.]+)\.tar\.gz

## unifont 6.3.20140214

=== Makefile ===
#
# unifoundry.com utilities for the GNU Unifont
#
# Typing "make && make install" will make and
# install the binary programs and man pages.
# To build only the font from scratch, use
# "cd font ; make"
#
SHELL = /bin/sh
INSTALL = install

PACKAGE = "unifont"
DATE = 20140214
MAJORVERSION = 6.3
VERSION = $(MAJORVERSION).$(DATE)

#
# The settings below will install software, man pages, and documentation
# in /usr/local.  To install in a different location, modify USRDIR to
# your liking.
#
USRDIR = usr
# USRDIR = usr/local
PREFIX = $(DESTDIR)/$(USRDIR)
PKGDEST = $(PREFIX)/share/unifont

VPATH = lib font/plane00 font/ttfsrc

HEXFILES = hangul-syllables.hex nonprinting.hex pua.hex spaces.hex \
	   unassigned.hex unifont-base.hex wqy.hex

COMBINING = font/plane00/bmp-combining.txt

TEXTFILES = ChangeLog INSTALL NEWS README

#
# Whether to build the font or not (default is not).
# Set to non-null value to build font.
#
BUILDFONT=

#
# Whether to install man pages uncompressed (COMPRESS = 0) or
# compressed (COMPRESS != 0).
#
COMPRESS = 1

all: bindir libdir docdir buildfont
	echo "Make is done."

#
# Build a distribution tarball.
#
dist: distclean
	(cd .. ; tar cf $(PACKAGE)-$(VERSION).tar $(PACKAGE)-$(VERSION) && \
		gzip -f -9 $(PACKAGE)-$(VERSION).tar)

bindir:
	set -e ; $(MAKE) -C src

#
# Conditionally build the font, depending on the value of BUILDFONT.
# To build the font unconditionally, use the "fontdir" target below.
#
buildfont:
	if [ x$(BUILDFONT) != x ] ; \
        then \
           set -e ; make -C font ; \
        fi

#
# Not invoked automatically; the font files are taken from
# font/precompiled by default.
#
fontdir:
	set -e ; $(MAKE) -C font

libdir: lib/wchardata.c

docdir:
	set -e ; $(MAKE) -C doc

mandir:
	set -e ; $(MAKE) -C man

precompiled:
	set -e ; $(MAKE) precompiled -C font

#
# Create lib/wchardata.c.  If you want to also build the object file
# wchardata.o, uncomment the last line
#
lib/wchardata.c: $(HEXFILES) $(COMBINING)
	$(INSTALL) -m0755 -d lib
	(cd font/plane00 && sort $(HEXFILES) > ../../unifonttemp.hex)
	bin/unigenwidth unifonttemp.hex $(COMBINING) > lib/wchardata.c
	\rm -f unifonttemp.hex
#	(cd lib && $(CC) $(CFLAGS) -c wchardata.c && chmod 644 wchardata.o )

install: bindir libdir docdir
	$(MAKE) -C src install PREFIX=$(PREFIX)
	$(MAKE) -C man install PREFIX=$(PREFIX) COMPRESS=$(COMPRESS)
	$(MAKE) -C font install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)
	$(INSTALL) -m0755 -d $(PKGDEST)
	$(INSTALL) -m0644 -p $(TEXTFILES) doc/unifont.txt doc/unifont.info $(PKGDEST)
	for i in $(TEXTFILES) unifont.txt unifont.info ; do \
	   gzip -f -9 $(PKGDEST)/$$i ; \
	done
	$(INSTALL) -m0644 -p lib/wchardata.c $(PKGDEST)
	$(INSTALL) -m0644 -p font/plane00/bmp-combining.txt $(PKGDEST)
	# If "make" wasn't run before, font/compiled won't exist.
	if [ ! -d font/compiled ] ; then \
	   $(INSTALL) -m0644 -p font/precompiled/unifont-$(VERSION).hex   $(PKGDEST)/unifont.hex ; \
	   $(INSTALL) -m0644 -p font/precompiled/unifont-$(VERSION).bmp $(PKGDEST)/unifont.bmp ; \
	else \
	   $(INSTALL) -m0644 -p font/compiled/unifont-$(VERSION).hex   $(PKGDEST)/unifont.hex ; \
	   $(INSTALL) -m0644 -p font/compiled/unifont-$(VERSION).bmp $(PKGDEST)/unifont.bmp ; \
	fi

clean:
	$(MAKE) -C src  clean
	$(MAKE) -C doc  clean
	$(MAKE) -C man  clean
	$(MAKE) -C font clean
	\rm -rf *~

#
# The .DS files are created under Mac OS X
#
distclean:
	$(MAKE) -C src  distclean
	$(MAKE) -C doc  distclean
	$(MAKE) -C man  distclean
	$(MAKE) -C font distclean
	\rm -rf bin lib
	\rm -f unifonttemp.hex
	\rm -rf *~
	\rm -rf .DS* ._.DS*

.PHONY: all bindir docdir mandir fontdir precompiled install clean distclean

=== font/Makefile ===
#
# Makefile to build a version of GNU Unifont with the
# unifoundry.com GNU Unifont utilities.  This Makefile
# converts unifont-$(VERSION).hex and related files into a final
# GNU Unifont font file.
#
# This software is released under version 2.0 of the GNU Public License,
# or (at your option) a later version of the GPL.
#
# Paul Hardy, 7 July 2008
#
# commands will be interpreted with the Bourne Shell
#
SHELL = /bin/sh
INSTALL = install
FONTFORGE = fontforge
#
# assembly date of this version
#
MAJORVERSION = 6.3
DATE = 20140214
VERSION = $(MAJORVERSION).$(DATE)

COPYRIGHT = "Copyright (C) 2014 Roman Czyborra, Paul Hardy, Qianqian Fang, \
Andrew Miller, et al.  \
Licensed under the GNU General Public License; either version 2, or \
(at your option) a later version, with the GNU Font Embedding Exception."

#
# Path to local unifont-bin utilities.  If your system doesn't
# use GNU's version of "make", use the first BINDIR definition.
# If using GNU's "make", use the second BINDIR definition.
#
# BINDIR = ../bin
BINDIR = $(CURDIR)/../bin
#
# The top-level directory for installing fonts on the system,
# and the installation directories for PCF and TrueType fonts.
#
CONSOLEDEST = $(DESTDIR)/usr/share/consolefonts
FONTDEST    = $(DESTDIR)/usr/share/fonts
PCFDEST     = $(FONTDEST)/X11/misc
TTFDEST     = $(FONTDEST)/truetype/unifont
#
# destination directory for compiled fonts
#
COMPILED_DIR = compiled
#
# destination directory for .bmp representation of font
#
BMPDIR = $(COMPILED_DIR)/bmp
#
# Directory with original unifont-$(VERSION).hex files
#
HEXDIR = plane00
#
# These are the files for building GNU Unifont with the Qianqian Fang's
# Wen Quan Yi CJK ideographs.  This version provides complete coverage
# of the Unicode Basic Multilingual Plane.
#
# If you want don't want to inlcude blank glyphs in unassigned code points,
# uncomment the UNASSIGNED definition or override from the make command line.
#
# Likewise, uncomment the PUA definiation if you want to use Private
# Use Area glyphs.
#
UNASSIGNED = $(HEXDIR)/unassigned.hex
# UNASSIGNED =

#
# Non-printing glyphs.  There are only about 100 of these, and many end
# users do want to print representations of these glyphs, so they are
# included as an optional assignment.
#
NONPRINTING = $(HEXDIR)/nonprinting.hex
# NONPRINTING =

#
# Private Use Area glyphs.  Uncomment to include four-digit hexadecimal glyphs
# or override from the make command line.
#
# PUA = $(HEXDIR)/pua.hex
PUA = 

# The remaining .hex files will be constant unless a customized font
# is being built.
UNIFONTBASE = $(HEXDIR)/unifont-base.hex
CJK         = $(HEXDIR)/wqy.hex
HANGUL      = $(HEXDIR)/hangul-syllables.hex
SPACES      = $(HEXDIR)/spaces.hex

UNIFILES = $(UNIFONTBASE) $(CJK) $(HANGUL) $(SPACES) $(UNASSIGNED) \
	   $(NONPRINTING) $(PUA)

#
# Planes 1 through 14 (0x0E) are ordinary;
# Planes 15 (0x0F) and 16 (0x10) are Private Use Area
#
UPPER_FILES = plane0[1-E]/*.hex

#
# Location of the file containing a list of Unicode combining characters.
#
COMBINING = plane00/bmp-combining.txt

UPPER_COMBINING = plane0[0-E]/*combining*.txt

VPATH = plane00 ttfsrc

#
# Location of  TTF source directory, where TTF font is built.
#
TTFSRC = ttfsrc


all: compiled

compiled: $(UNIFILES) $(COMBINING) $(UPPER_FILES) $(UPPER_COMBINING)
	make compiled-files

compiled-files: pcf psf bmp ttf csurttf upperttf uppercsurttf bigpic coverage
	install -p index.html $(COMPILED_DIR)/index.html

#
# Build the aggregate .hex font files
#
hex: distclean
	if [ ! -d $(COMPILED_DIR) ] ; then \
	   mkdir -p $(COMPILED_DIR) ; \
	fi
	sort $(UNIFILES) > $(COMPILED_DIR)/unifont-$(VERSION).hex
	(cd $(HEXDIR) ; sort *.hex) | \
	  egrep -v "^FFF[EF]" | \
	   $(BINDIR)/unigencircles $(COMBINING) plane00/nonprinting.hex \
	   > $(COMPILED_DIR)/unifont_sample-$(VERSION).hex
	sort plane00csur/*.hex $(UNIFILES) \
	   > $(COMPILED_DIR)/unifont_csur-$(VERSION).hex
	sort $(UPPER_FILES) \
	   > $(COMPILED_DIR)/unifont_upper-$(VERSION).hex
	sort plane0[1-F]/*.hex \
	   > $(COMPILED_DIR)/unifont_upper_csur-$(VERSION).hex

#
# Build a BDF font file from the final .hex file.
#
bdf: hex
	# First make the default BDF font.  The font name will be "unifont".
	$(BINDIR)/hex2bdf --version "$(VERSION)" --copyright $(COPYRIGHT) \
	   $(COMPILED_DIR)/unifont-$(VERSION).hex \
	   >$(COMPILED_DIR)/unifont-$(VERSION).bdf
	gzip -f -9 <$(COMPILED_DIR)/unifont-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont-$(VERSION).bdf.gz
	# Now make a version with combining circles.  The font name
	# will be "unifont_sample" instead of "unifont" to distinguish
	# it from the default font.
	$(BINDIR)/hex2bdf --font "Unifont Sample" \
	   --version "$(VERSION)" --copyright $(COPYRIGHT) \
	     $(COMPILED_DIR)/unifont_sample-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_sample-$(VERSION).bdf
	gzip -f -9 <$(COMPILED_DIR)/unifont_sample-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont_sample-$(VERSION).bdf.gz
	$(BINDIR)/hex2bdf --font "Unifont CSUR" \
	   --version "$(VERSION)" --copyright $(COPYRIGHT) \
	     $(COMPILED_DIR)/unifont_csur-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_csur-$(VERSION).bdf
	gzip -f -9 <$(COMPILED_DIR)/unifont_csur-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont_csur-$(VERSION).bdf.gz
	$(BINDIR)/hex2bdf --font "Unifont Upper" \
	   --version "$(VERSION)" --copyright $(COPYRIGHT) \
	     $(COMPILED_DIR)/unifont_upper-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_upper-$(VERSION).bdf
	gzip -f -9 <$(COMPILED_DIR)/unifont_upper-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont_upper-$(VERSION).bdf.gz
	$(BINDIR)/hex2bdf --font "Unifont Upper CSUR" \
	   --version "$(VERSION)" --copyright $(COPYRIGHT) \
	     $(COMPILED_DIR)/unifont_upper_csur-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_upper_csur-$(VERSION).bdf
	gzip -f -9 <$(COMPILED_DIR)/unifont_upper_csur-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont_upper_csur-$(VERSION).bdf.gz

#
# Build a PCF font file from the final .hex file.
#
pcf: bdf
	bdftopcf <$(COMPILED_DIR)/unifont-$(VERSION).bdf \
	         >$(COMPILED_DIR)/unifont-$(VERSION).pcf
	gzip -f -9 $(COMPILED_DIR)/unifont-$(VERSION).pcf
	bdftopcf <$(COMPILED_DIR)/unifont_sample-$(VERSION).bdf \
	         >$(COMPILED_DIR)/unifont_sample-$(VERSION).pcf
	gzip -f -9 $(COMPILED_DIR)/unifont_sample-$(VERSION).pcf
	bdftopcf <$(COMPILED_DIR)/unifont_csur-$(VERSION).bdf \
	         >$(COMPILED_DIR)/unifont_csur-$(VERSION).pcf
	gzip -f -9 $(COMPILED_DIR)/unifont_csur-$(VERSION).pcf
	bdftopcf <$(COMPILED_DIR)/unifont_upper-$(VERSION).bdf \
	         >$(COMPILED_DIR)/unifont_upper-$(VERSION).pcf
	gzip -f -9 $(COMPILED_DIR)/unifont_upper-$(VERSION).pcf
	bdftopcf <$(COMPILED_DIR)/unifont_upper_csur-$(VERSION).bdf \
	         >$(COMPILED_DIR)/unifont_upper_csur-$(VERSION).pcf
	gzip -f -9 $(COMPILED_DIR)/unifont_upper_csur-$(VERSION).pcf

#
# Make the PSF (console) font for APL (A Programming Language).
#
psf: bdf
	bdf2psf --fb \
	   $(COMPILED_DIR)/unifont-$(VERSION).bdf \
	   psf/apl-equivalents.txt \
	   psf/unifont-apl.txt \
	   512 \
	   $(COMPILED_DIR)/Unifont-APL8x16-$(VERSION).psf
	gzip -f -9 $(COMPILED_DIR)/Unifont-APL8x16-$(VERSION).psf

#
# Print coverage of scripts in Basic Multilingual Plane in .txt file.
#
# Note: can't use this older version unless unassigned.hex is merged
# with the rest of the built unifont-$(VERSION).hex final file.
#
# coverage: $(COMPILED_DIR)/unifont-$(VERSION).hex $(BINDIR)/unicoverage
# 	$(BINDIR)/unicoverage < $(COMPILED_DIR)/unifont-$(VERSION).hex \
# 		    > $(COMPILED_DIR)/coverage.txt
#
# Use this version because "unassigned.hex" isn't part of the final
# .hex font by default now:
#
coverage:
	sort $(HEXDIR)/*.hex | \
		$(BINDIR)/unicoverage > $(COMPILED_DIR)/coverage.txt

#
# Print HTML page coverage in Basic Multilingual Plane in .txt file.
#
pagecount: $(COMPILED_DIR)/unifont-$(VERSION).hex $(BINDIR)/unipagecount
	$(BINDIR)/unipagecount -l < $(COMPILED_DIR)/unifont-$(VERSION).hex \
		        > $(COMPILED_DIR)/pagecount.html

#
# Create the .bmp (Windows Bitmap) graphics versions of the glyphs.
#
bmp: hex $(BINDIR)/unihex2bmp
	if [ ! -d $(BMPDIR) ] ; then \
	   mkdir -p $(BMPDIR) ; \
	fi
	for i in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	   for j in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	      $(BINDIR)/unihex2bmp -p$$i$$j \
	         -i$(COMPILED_DIR)/unifont_sample-$(VERSION).hex \
	         -o$(BMPDIR)/uni$$i$$j.bmp ; \
	   done ; \
	done ; \
	echo "Done creating $(BMPDIR)"

#
# Build one bitmap of the entire Unifont as a 4096 x 16 grid.
# Use all the .hex files in $(HEXDIR) so we add the contents of
# omit.hex (FFFE & FFFF).  Those two glyphs aren't included in the
# unifont_sample font because they cause problems with MS Windows,
# but we can put them in the picture.
#
bigpic: $(COMPILED_DIR)/unifont_sample-$(VERSION).hex
	sort -u $(HEXDIR)/*.hex | \
	   $(BINDIR)/unifontpic -d120 > $(COMPILED_DIR)/unifont-$(VERSION).bmp

#
# Note that $(TTFSRC) must exist, because it contains some source files
# Perform a "make && make clean" because ALL of the files would consume
# over 200 Megabytes if left around.  The .sfd file is about 100 Megabytes,
# and it is created from merging "[0-F].sfd", which take up another 100 MB.
#

ttf:
	# First copy the ordinary version, to make a TrueType font.
	install -p \
		$(COMPILED_DIR)/unifont-$(VERSION).hex \
		$(TTFSRC)/unifont.hex
	install -p \
		$(HEXDIR)/bmp-combining.txt \
		$(TTFSRC)/combining.txt
	cd $(TTFSRC) ; \
	   make FONTFILE="unifont" COMBINING="combining" \
		FONTNAME="Unifont" PSNAME="Unifont"
	mv $(TTFSRC)/unifont.sfd $(COMPILED_DIR)/unifont-$(VERSION).sfd 
	mv $(TTFSRC)/unifont.ttf \
		$(COMPILED_DIR)/unifont-$(VERSION).ttf 
	# Second copy unifont_sample.bdf, to make an SBIT font.
	install -p \
		$(COMPILED_DIR)/unifont_sample-$(VERSION).bdf \
		$(TTFSRC)/unifont_sample.bdf
	cd $(TTFSRC) ; \
	   make sbit FONTFILE="unifont_sample" COMBINING="" \
		FONTNAME="Unifont Sample" PSNAME="UnifontSample"
	mv $(TTFSRC)/unifont_sample.ttf \
		$(COMPILED_DIR)/unifont_sample-$(VERSION).ttf 
	gzip -f -9 $(COMPILED_DIR)/unifont-$(VERSION).sfd 

#
# Now build the ConScript Unicode Registry PUA font.
#
csurttf:
	install -p \
		$(COMPILED_DIR)/unifont_csur-$(VERSION).hex \
		$(TTFSRC)/unifont_csur.hex
	sort -u plane00csur/csur-combining.txt $(HEXDIR)/bmp-combining.txt \
		> $(TTFSRC)/combining_csur.txt
	cd $(TTFSRC) ; \
	   make outline FONTFILE="unifont_csur" COMBINING="combining_csur" \
		FONTNAME="Unifont CSUR" PSNAME="UnifontCSUR"
	mv $(TTFSRC)/unifont_csur.sfd \
		$(COMPILED_DIR)/unifont_csur-$(VERSION).sfd 
	mv $(TTFSRC)/unifont_csur.ttf \
		$(COMPILED_DIR)/unifont_csur-$(VERSION).ttf 
	gzip -f -9 $(COMPILED_DIR)/unifont_csur-$(VERSION).sfd 

#
# Now build the ConScript Unicode Registry PUA font.
#
upperttf:
	install -p \
		$(COMPILED_DIR)/unifont_upper-$(VERSION).hex \
		$(TTFSRC)/unifont_upper.hex
	sort -u $(UPPER_COMBINING) > $(TTFSRC)/combining_upper.txt
	cd $(TTFSRC) ; \
	   make outline FONTFILE="unifont_upper" COMBINING="combining_upper" \
		FONTNAME="Unifont Upper" PSNAME="UnifontUpper"
	mv $(TTFSRC)/unifont_upper.sfd \
		$(COMPILED_DIR)/unifont_upper-$(VERSION).sfd 
	mv $(TTFSRC)/unifont_upper.ttf \
		$(COMPILED_DIR)/unifont_upper-$(VERSION).ttf 
	gzip -f -9 $(COMPILED_DIR)/unifont_upper-$(VERSION).sfd 


#
# ConScript Unicode Registry PUA font beyond Plane 0.
#
uppercsurttf:
	install -p \
		$(COMPILED_DIR)/unifont_upper_csur-$(VERSION).hex \
		$(TTFSRC)/unifont_upper_csur.hex
	sort -u plane0[1-F]csur/*combining*.txt \
		> $(TTFSRC)/combining_upper_csur.txt
	cd $(TTFSRC) ; \
	   make outline FONTFILE="unifont_upper_csur" COMBINING="combining_upper_csur" \
		FONTNAME="Unifont Upper CSUR" PSNAME="UnifontUpperCSUR"
	mv $(TTFSRC)/unifont_upper_csur.sfd \
		$(COMPILED_DIR)/unifont_upper_csur-$(VERSION).sfd 
	mv $(TTFSRC)/unifont_upper_csur.ttf \
		$(COMPILED_DIR)/unifont_upper_csur-$(VERSION).ttf 
	gzip -f -9 $(COMPILED_DIR)/unifont_upper_csur-$(VERSION).sfd 

#
#

=== hangul/Makefile ===

SHELL = /bin/sh

BINDIR = ../bin

#
# assembly date of this version
#
MAJORVERSION = 6.3
DATE = 20140214
VERSION = $(MAJORVERSION).$(DATE)

COPYRIGHT = "Copyright (C) 2013 Paul Hardy.  \
Licensed under the GNU General Public License; either version 2, or \
(at your option) a later version, with the GNU Font Embedding Exception."


all: hangul-syllables

hangul-syllables: hangul-hex hangul-bmp ksx chojung

# Convert the hanbase-??.bmp files into a Johab .hex file,
# then convert that into a BDF font file.

hangul-hex:
	echo "0000:0000000000000000000000000000000000000000000000000000000000000000" >hangul-base.hex
	$(BINDIR)/unibmp2hex -w < hanbase-00.bmp >>hangul-base.hex
	$(BINDIR)/unibmp2hex -w < hanbase-01.bmp >>hangul-base.hex
	$(BINDIR)/unibmp2hex -w < hanbase-02.bmp >>hangul-base.hex
	$(BINDIR)/hex2bdf \
	   -f "Unifont Johab" -c $(COPYRIGHT) -v "$(VERSION)" \
	   < hangul-base.hex | \
	   sed -e "s/[Ii][Ss][Oo]10646/Johab/g" >hangul-base.bdf
	bdftopcf < hangul-base.bdf > hangul-base.pcf
	gzip -f -9 hangul-base.pcf
	$(BINDIR)/johab2ucs2 < hangul-base.bdf > hangul-syllables.hex

# Convert the .hex file containing all Unicode Hangul Syllables
# into bitmap images for checking visually.

hangul-bmp: hangul-syllables.hex
	if [ ! -d syllables ]; then \
		mkdir syllables; \
	fi
	$(BINDIR)/unihex2bmp -pAC < hangul-syllables.hex > syllables/hangul-AC.bmp
	$(BINDIR)/unihex2bmp -pAD < hangul-syllables.hex > syllables/hangul-AD.bmp
	$(BINDIR)/unihex2bmp -pAE < hangul-syllables.hex > syllables/hangul-AE.bmp
	$(BINDIR)/unihex2bmp -pAF < hangul-syllables.hex > syllables/hangul-AF.bmp
	$(BINDIR)/unihex2bmp -pB0 < hangul-syllables.hex > syllables/hangul-B0.bmp
	$(BINDIR)/unihex2bmp -pB1 < hangul-syllables.hex > syllables/hangul-B1.bmp
	$(BINDIR)/unihex2bmp -pB2 < hangul-syllables.hex > syllables/hangul-B2.bmp
	$(BINDIR)/unihex2bmp -pB3 < hangul-syllables.hex > syllables/hangul-B3.bmp
	$(BINDIR)/unihex2bmp -pB4 < hangul-syllables.hex > syllables/hangul-B4.bmp
	$(BINDIR)/unihex2bmp -pB5 < hangul-syllables.hex > syllables/hangul-B5.bmp
	$(BINDIR)/unihex2bmp -pB6 < hangul-syllables.hex > syllables/hangul-B6.bmp
	$(BINDIR)/unihex2bmp -pB7 < hangul-syllables.hex > syllables/hangul-B7.bmp
	$(BINDIR)/unihex2bmp -pB8 < hangul-syllables.hex > syllables/hangul-B8.bmp
	$(BINDIR)/unihex2bmp -pB9 < hangul-syllables.hex > syllables/hangul-B9.bmp
	$(BINDIR)/unihex2bmp -pBA < hangul-syllables.hex > syllables/hangul-BA.bmp
	$(BINDIR)/unihex2bmp -pBB < hangul-syllables.hex > syllables/hangul-BB.bmp
	$(BINDIR)/unihex2bmp -pBC < hangul-syllables.hex > syllables/hangul-BC.bmp
	$(BINDIR)/unihex2bmp -pBD < hangul-syllables.hex > syllables/hangul-BD.bmp
	$(BINDIR)/unihex2bmp -pBE < hangul-syllables.hex > syllables/hangul-BE.bmp
	$(BINDIR)/unihex2bmp -pBF < hangul-syllables.hex > syllables/hangul-BF.bmp
	$(BINDIR)/unihex2bmp -pC0 < hangul-syllables.hex > syllables/hangul-C0.bmp
	$(BINDIR)/unihex2bmp -pC1 < hangul-syllables.hex > syllables/hangul-C1.bmp
	$(BINDIR)/unihex2bmp -pC2 < hangul-syllables.hex > syllables/hangul-C2.bmp
	$(BINDIR)/unihex2bmp -pC3 < hangul-syllables.hex > syllables/hangul-C3.bmp
	$(BINDIR)/unihex2bmp -pC4 < hangul-syllables.hex > syllables/hangul-C4.bmp
	$(BINDIR)/unihex2bmp -pC5 < hangul-syllables.hex > syllables/hangul-C5.bmp
	$(BINDIR)/unihex2bmp -pC6 < hangul-syllables.hex > syllables/hangul-C6.bmp
	$(BINDIR)/unihex2bmp -pC7 < hangul-syllables.hex > syllables/hangul-C7.bmp
	$(BINDIR)/unihex2bmp -pC8 < hangul-syllables.hex > syllables/hangul-C8.bmp
	$(BINDIR)/unihex2bmp -pC9 < hangul-syllables.hex > syllables/hangul-C9.bmp
	$(BINDIR)/unihex2bmp -pCA < hangul-syllables.hex > syllables/hangul-CA.bmp
	$(BINDIR)/unihex2bmp -pCB < hangul-syllables.hex > syllables/hangul-CB.bmp
	$(BINDIR)/unihex2bmp -pCC < hangul-syllables.hex > syllables/hangul-CC.bmp
	$(BINDIR)/unihex2bmp -pCD < hangul-syllables.hex > syllables/hangul-CD.bmp
	$(BINDIR)/unihex2bmp -pCE < hangul-syllables.hex > syllables/hangul-CE.bmp
	$(BINDIR)/unihex2bmp -pCF < hangul-syllables.hex > syllables/hangul-CF.bmp
	$(BINDIR)/unihex2bmp -pD0 < hangul-syllables.hex > syllables/hangul-D0.bmp
	$(BINDIR)/unihex2bmp -pD1 < hangul-syllables.hex > syllables/hangul-D1.bmp
	$(BINDIR)/unihex2bmp -pD2 < hangul-syllables.hex > syllables/hangul-D2.bmp
	$(BINDIR)/unihex2bmp -pD3 < hangul-syllables.hex > syllables/hangul-D3.bmp
	$(BINDIR)/unihex2bmp -pD4 < hangul-syllables.hex > syllables/hangul-D4.bmp
	$(BINDIR)/unihex2bmp -pD5 < hangul-syllables.hex > syllables/hangul-D5.bmp
	$(BINDIR)/unihex2bmp -pD6 < hangul-syllables.hex > syllables/hangul-D6.bmp
	$(BINDIR)/unihex2bmp -pD7 < hangul-syllables.hex > syllables/hangul-D7.bmp

#
# Extract those syllables that appear in KS X 1001:1992.
# These are the 2,350 syllables in modern usage out of
# a total possible 11,172 syllables.
#
ksx: hangul-syllables.hex
	if [ ! -d ksx-syllables ]; then \
		mkdir ksx-syllables; \
	fi
	$(BINDIR)/unifontksx < hangul-syllables.hex > ksx-syllables.hex
	$(BINDIR)/unihex2bmp -pAC < ksx-syllables.hex > ksx-syllables/han-AC.bmp
	$(BINDIR)/unihex2bmp -pAD < ksx-syllables.hex > ksx-syllables/han-AD.bmp
	$(BINDIR)/unihex2bmp -pAE < ksx-syllables.hex > ksx-syllables/han-AE.bmp
	$(BINDIR)/unihex2bmp -pAF < ksx-syllables.hex > ksx-syllables/han-AF.bmp
	$(BINDIR)/unihex2bmp -pB0 < ksx-syllables.hex > ksx-syllables/han-B0.bmp
	$(BINDIR)/unihex2bmp -pB1 < ksx-syllables.hex > ksx-syllables/han-B1.bmp
	$(BINDIR)/unihex2bmp -pB2 < ksx-syllables.hex > ksx-syllables/han-B2.bmp
	$(BINDIR)/unihex2bmp -pB3 < ksx-syllables.hex > ksx-syllables/han-B3.bmp
	$(BINDIR)/unihex2bmp -pB4 < ksx-syllables.hex > ksx-syllables/han-B4.bmp
	$(BINDIR)/unihex2bmp -pB5 < ksx-syllables.hex > ksx-syllables/han-B5.bmp
	$(BINDIR)/unihex2bmp -pB6 < ksx-syllables.hex > ksx-syllables/han-B6.bmp
	$(BINDIR)/unihex2bmp -pB7 < ksx-syllables.hex > ksx-syllables/han-B7.bmp
	$(BINDIR)/unihex2bmp -pB8 < ksx-syllables.hex > ksx-syllables/han-B8.bmp
	$(BINDIR)/unihex2bmp -pB9 < ksx-syllables.hex > ksx-syllables/han-B9.bmp
	$(BINDIR)/unihex2bmp -pBA < ksx-syllables.hex > ksx-syllables/han-BA.bmp
	$(BINDIR)/unihex2bmp -pBB < ksx-syllables.hex > ksx-syllables/han-BB.bmp
	$(BINDIR)/unihex2bmp -pBC < ksx-syllables.hex > ksx-syllables/han-BC.bmp
	$(BINDIR)/unihex2bmp -pBD < ksx-syllables.hex > ksx-syllables/han-BD.bmp
	$(BINDIR)/unihex2bmp -pBE < ksx-syllables.hex > ksx-syllables/han-BE.bmp
	$(BINDIR)/unihex2bmp -pBF < ksx-syllables.hex > ksx-syllables/han-BF.bmp
	$(BINDIR)/unihex2bmp -pC0 < ksx-syllables.hex > ksx-syllables/han-C0.bmp
	$(BINDIR)/unihex2bmp -pC1 < ksx-syllables.hex > ksx-syllables/han-C1.bmp
	$(BINDIR)/unihex2bmp -pC2 < ksx-syllables.hex > ksx-syllables/han-C2.bmp
	$(BINDIR)/unihex2bmp -pC3 < ksx-syllables.hex > ksx-syllables/han-C3.bmp
	$(BINDIR)/unihex2bmp -pC4 < ksx-syllables.hex > ksx-syllables/han-C4.bmp
	$(BINDIR)/unihex2bmp -pC5 < ksx-syllables.hex > ksx-syllables/han-C5.bmp
	$(BINDIR)/unihex2bmp -pC6 < ksx-syllables.hex > ksx-syllables/han-C6.bmp
	$(BINDIR)/unihex2bmp -pC7 < ksx-syllables.hex > ksx-syllables/han-C7.bmp
	$(BINDIR)/unihex2bmp -pC8 < ksx-syllables.hex > ksx-syllables/han-C8.bmp
	$(BINDIR)/unihex2bmp -pC9 < ksx-syllables.hex > ksx-syllables/han-C9.bmp
	$(BINDIR)/unihex2bmp -pCA < ksx-syllables.hex > ksx-syllables/han-CA.bmp
	$(BINDIR)/unihex2bmp -pCB < ksx-syllables.hex > ksx-syllables/han-CB.bmp
	$(BINDIR)/unihex2bmp -pCC < ksx-syllables.hex > ksx-syllables/han-CC.bmp
	$(BINDIR)/unihex2bmp -pCD < ksx-syllables.hex > ksx-syllables/han-CD.bmp
	$(BINDIR)/unihex2bmp -pCE < ksx-syllables.hex > ksx-syllables/han-CE.bmp
	$(BINDIR)/unihex2bmp -pCF < ksx-syllables.hex > ksx-syllables/han-CF.bmp
	$(BINDIR)/unihex2bmp -pD0 < ksx-syllables.hex > ksx-syllables/han-D0.bmp
	$(BINDIR)/unihex2bmp -pD1 < ksx-syllables.hex > ksx-syllables/han-D1.bmp
	$(BINDIR)/unihex2bmp -pD2 < ksx-syllables.hex > ksx-syllables/han-D2.bmp
	$(BINDIR)/unihex2bmp -pD3 < ksx-syllables.hex > ksx-syllables/han-D3.bmp
	$(BINDIR)/unihex2bmp -pD4 < ksx-syllables.hex > ksx-syllables/han-D4.bmp
	$(BINDIR)/unihex2bmp -pD5 < ksx-syllables.hex > ksx-syllables/han-D5.bmp
	$(BINDIR)/unihex2bmp -pD6 < ksx-syllables.hex > ksx-syllables/han-D6.bmp
	$(BINDIR)/unihex2bmp -pD7 < ksx-syllables.hex > ksx-syllables/han-D7.bmp

#
# Extract those syllables that only contain choseong and
# jungseong (initial consonant plus vowel).
#
chojung: hangul-syllables.hex
	if [ ! -d chojung-syllables ]; then \
		mkdir chojung-syllables; \
	fi
	$(BINDIR)/unifontchojung < hangul-syllables.hex > chojung-syllables.hex
	$(BINDIR)/unihex2bmp -pAC < chojung-syllables.hex > chojung-syllables/han-AC.bmp
	$(BINDIR)/unihex2bmp -pAD < chojung-syllables.hex > chojung-syllables/han-AD.bmp
	$(BINDIR)/unihex2bmp -pAE < chojung-syllables.hex > chojung-syllables/han-AE.bmp
	$(BINDIR)/unihex2bmp -pAF < chojung-syllables.hex > chojung-syllables/han-AF.bmp
	$(BINDIR)/unihex2bmp -pB0 < chojung-syllables.hex > chojung-syllables/han-B0.bmp
	$(BINDIR)/unihex2bmp -pB1 < chojung-syllables.hex > chojung-syllables/han-B1.bmp
	$(BINDIR)/unihex2bmp -pB2 < chojung-syllables.hex > chojung-syllables/han-B2.bmp
	$(BINDIR)/unihex2bmp -pB3 < chojung-syllables.hex > chojung-syllables/han-B3.bmp
	$(BINDIR)/unihex2bmp -pB4 < chojung-syllables.hex > chojung-syllables/han-B4.bmp
	$(BINDIR)/unihex2bmp -pB5 < chojung-syllables.hex > chojung-syllables/han-B5.bmp
	$(BINDIR)/unihex2bmp -pB6 < chojung-syllables.hex > chojung-syllables/han-B6.bmp
	$(BINDIR)/unihex2bmp -pB7 < chojung-syllables.hex > chojung-syllables/han-B7.bmp
	$(BINDIR)/unihex2bmp -pB8 < chojung-syllables.hex > chojung-syllables/han-B8.bmp
	$(BINDIR)/unihex2bmp -pB9 < chojung-syllables.hex > chojung-syllables/han-B9.bmp
	$(BINDIR)/unihex2bmp -pBA < chojung-syllables.hex > chojung-syllables/han-BA.bmp
	$(BINDIR)/unihex2bmp -pBB < chojung-syllables.hex > chojung-syllables/han-BB.bmp
	$(BINDIR)/unihex2bmp -pBC < chojung-syllables.hex > chojung-syllables/han-BC.bmp
	$(BINDIR)/unihex2bmp -pBD < chojung-syllables.hex > chojung-syllables/han-BD.bmp
	$(BINDIR)/unihex2bmp -pBE < chojung-syllables.hex > chojung-syllables/han-BE.bmp
	$(BINDIR)/unihex2bmp -pBF < chojung-syllables.hex > chojung-syllables/han-BF.bmp
	$(BINDIR)/unihex2bmp -pC0 < chojung-syllables.hex > chojung-syllables/han-C0.bmp
	$(BINDIR)/unihex2bmp -pC1 < chojung-syllables.hex > chojung-syllables/han-C1.bmp
	$(BINDIR)/unihex2bmp -pC2 < chojung-syllables.hex > chojung-syllables/han-C2.bmp
	$(BINDIR)/unihex2bmp -pC3 < chojung-syllables.hex > chojung-syllables/han-C3.bmp
	$(BINDIR)/unihex2bmp -pC4 < chojung-syllables.hex > chojung-syllables/han-C4.bmp
	$(BINDIR)/unihex2bmp -pC5 < chojung-syllables.hex > chojung-syllables/han-C5.bmp
	$(BINDIR)/unihex2bmp -pC6 < chojung-syllables.hex > chojung-syllables/han-C6.bmp
	$(BINDIR)/unihex2bmp -pC7 < chojung-syllables.hex > chojung-syllables/han-C7.bmp
	$(BINDIR)/unihex2bmp -pC8 < chojung-syllables.hex > chojung-syllables/han-C8.bmp
	$(BINDIR)/unihex2bmp -pC9 < chojung-syllables.hex > chojung-syllables/han-C9.bmp
	$(BINDIR)/unihex2bmp -pCA < chojung-syllables.hex > chojung-syllables/han-CA.bmp
	$(BINDIR)/unihex2bmp -pCB < chojung-syllables.hex > chojung-syllables/han-CB.bmp
	$(BINDIR)/unihex2bmp -pCC < chojung-syllables.hex > chojung-syllables/han-CC.bmp
	$(BINDIR)/unihex2bmp -pCD < chojung-syllables.hex > chojung-syllables/han-CD.bmp
	$(BINDIR)/unihex2bmp -pCE < chojung-syllables.hex > chojung-syllables/han-CE.bmp
	$(BINDIR)/unihex2bmp -pCF < chojung-syllables.hex > chojung-syllables/han-CF.bmp
	$(BINDIR)/unihex2bmp -pD0 < chojung-syllables.hex > chojung-syllables/han-D0.bmp
	$(BINDIR)/unihex2bmp -pD1 < chojung-syllables.hex > chojung-syllables/han-D1.bmp
	$(BINDIR)/unihex2bmp -pD2 < chojung-syllables.hex > chojung-syllables/han-D2.bmp
	$(BINDIR)/unihex2bmp -pD3 < chojung-syllables.hex > chojung-syllables/han-D3.bmp
	$(BINDIR)/unihex2bmp -pD4 < chojung-syllables.hex > chojung-syllables/han-D4.bmp
	$(BINDIR)/unihex2bmp -pD5 < chojung-syllables.hex > chojung-syllables/han-D5.bmp

=== man/Makefile ===

SHELL = /bin/sh

MAN1PAGES = bdfimplode.1 hex2bdf.1 hex2sfd.1 \
	hexbraille.1 hexdraw.1 hexmerge.1 hexkinya.1 johab2ucs2.1 \
	unibdf2hex.1 unibmp2hex.1 unicoverage.1 unidup.1 \
	unifontpic.1 unifontchojung.1 unifontksx.1 unigencircles.1 \
	unigenwidth.1 unihex2bmp.1 unihex2png.1 unihexgen.1 \
	unipagecount.1 unipng2hex.1

MAN5PAGES = unifont.5

#
# $(PREFIX) is defined in the top-level Makefile or on the command line
# to override the setting below.
#
PREFIX = /usr
INSTALLDIR = $(PREFIX)/share/man

#
# Set "COMPRESS = 0" to install uncompressed man pages (the default), or
# override on the command line.
#
# Set "COMPRESS = 1" or anything else non-zero to install gzipped man pages.
#
COMPRESS = 1

all:

install: $(MANPAGES)
	install -m0755 -d $(INSTALLDIR)
	install -m0755 -d $(INSTALLDIR)/man1
	install -m0755 -d $(INSTALLDIR)/man5
	for i in $(MAN1PAGES) ; do \
	   if [ $(COMPRESS) = 0 ] ; then \
	      install -m0644 $(MAN1PAGES) $(INSTALLDIR)/man1 ; \
	   else \
	      gzip -f -9 < $$i >$$i.gz ; \
	      chmod 644 $$i.gz ; \
	      mv $$i.gz $(INSTALLDIR)/man1 ; \
	   fi \
	done
	for i in $(MAN5PAGES) ; do \
	   if [ $(COMPRESS) = 0 ] ; then \
	      install -m0644 $(MAN5PAGES) $(INSTALLDIR)/man5 ; \
	   else \
	      gzip -f -9 < $$i >$$i.gz ; \
	      chmod 644 $$i.gz ; \
	      mv $$i.gz $(INSTALLDIR)/man5 ; \
	   fi \
	done

clean:
	\rm -f *~

distclean: clean

.PHONY: all install clean distclean

=== debian/changelog ===
unifont (1:6.3.20140214-1) unstable; urgency=medium

  * debian/copyright:
    - Include reference to GNU Free Documentation License reference 1.3.
      (Closes: 738836)
    - Separately list authors of non-Basic Multilingual Plane Unicode and
      ConScript Unicode Registry (CSUR) scripts.

 -- Paul Hardy <unifoundry@unifoundry.com>  Fri, 14 Feb 2014 08:30:41 -0800

unifont (1:6.3.20140204-1) unstable; urgency=medium

  * Switch to dpkg-source "3.0 (quilt)" format, to allow storing
    public key in debian/upstream-signing-key.pgp for debian/watch.
  * debian/control:
    - Removed a spurious "the" in Description of unifont-bin.
    - Added psf-unifont package, to install PSF (console) font.
  * debian/psf-unifont: created file, to install new PSF font version.
  * debian/README.Debian: added mention of new psf-unifont package.
  * debian/rules:
    - Changed "font/hexsrc" to "font/plane00" in comments.
  * debian/source/include-binaries: created file and added the line
    "debian/upstream-signing-key.pgp".
  * debian/source/format: changed to "3.0 (quilt)".
  * debian/upstream-signing-key.pgp: created file with GPG public key.
  * debian/watch: prepended "opts=pgpsigurlmangle=s/$/.sig/" to watch
    file pattern, to verify GPG signatures of new upstream tarballs.
  * debian/changelog: inserted "after" in Title description for
    debian/unifont-bin.doc-base.

 -- Paul Hardy <unifoundry@unifoundry.com>  Tue, 04 Feb 2014 18:05:57 -0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: fonts
 Priority: optional
 Maintainer: Paul Hardy <unifoundry@unifoundry.com>
-Build-Depends: debhelper7, maemo-optify
-Build-Depends-Indep: fontforge, xfonts-utils
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: fontforge, xfonts-utils, console-setup, bdf2psf
 Standards-Version: 3.9.5
 Homepage: http://unifoundry.com
 
 Package: unifont
 Architecture: all
-Depends: xfonts-unifont, ttf-unifont, xfonts-utils, ${misc:Depends}
+Depends: xfonts-unifont, ttf-unifont, psf-unifont, xfonts-utils, ${misc:Depends}
 Replaces: unifont-bin (<< 1:5.1.20080706-1)
 Suggests: unifont-bin
 Description: font with a glyph for each visible Unicode Plane 0 character
@@ -84,13 +84,34 @@
  The philosophy behind this font, though, is that anything meaningful
  is better than an empty box for a unknown glyph.
 
+Package: psf-unifont
+Architecture: all
+Depends: console-setup, bdf2psf, ${misc:Depends}
+Suggests: ttf-unifont
+Description: PSF (console) version of GNU Unifont with APL support
+ This contains a PSF font (Unifont-APL8x16.psf) as a console frame
+ buffer font with a subset of Unifont for use with GNU APL and other
+ APL implementations.  The font is installed in "/usr/share/consolefonts/".
+ This PSF font is only suitable for running in console mode, not under the
+ X Window System.
+ .
+ A PSF font allows a maximum of 512 glyphs.  The glyph subset in this
+ font includes ASCII, Latin-1, "oe" and "OE" ligatures for French, the
+ Euro sign, Unicode Box Drawing, Unicode Block Elements, plus various
+ glyphs for APL support and some other miscellaneous glyphs.  The font
+ is monospaced, 8 pixels wide by 16 pixels tall.
+ .
+ Consider using the TrueType version instead (ttf-unifont) if you are
+ not running in console mode, because that version is scalable to any
+ point size and has proper combining character support.
+
 Package: unifont-bin
 Section: x11
 Architecture: any
 Depends: xfonts-utils, fontforge,
  ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Suggests: unifont, texinfo
-Description: utilities for manipulating the GNU Unifont
+Description: utilities for manipulating GNU Unifont
  This is a set of Perl scripts, C programs, and FontForge scripts
  to manipulate Roman Czyborra's GNU Unifont ".hex" format font
  files.  GNU Unifont has a Unicode-compatible font structure.

## unifont 7.0.03

=== debian/changelog ===
unifont (1:7.0.03-1) unstable; urgency=medium

  * debian/changelog: Note: there was no 1:7.0.01 Debian release; a
    bug was discovered in font/Makefile shortly after it was created.
    There was also no 1:7.0.02 Debian release, because that version
    was missing a man page for unihexfill.  See ChangeLog for details.
    This release addresses both of those issues.
  * debian/control:
    - Added libwx-perl and libgd-gd2-noxpm-perl Depends entries to
      unifont-bin and libgd-gd2-noxpm-perl Build-Depends-Indep entry
      for unifont to support the new unifont-viewer and unihex2png
      Perl scripts.
    - Removed unifont source package Dependency on console-setup; it
      wasn't needed.
  * debian/copyright:
    - Now formatted in UTF-8 to spell non-ASCII names of contributors
      correctly.
    - Updated to reflect new contributors as of the Unicode 7.0 release
      (that is, as of this Debian release).
  * Added a patch to add man/unifont-viewer.1 to the list of MAN1PAGES
    in man/Makefile, so it will get installed.

 -- Paul Hardy <unifoundry@unifoundry.com>  Tue, 01 Jul 2014 22:26:22 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Paul Hardy <unifoundry@unifoundry.com>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: fontforge, xfonts-utils, console-setup, bdf2psf
+Build-Depends-Indep: fontforge, xfonts-utils, bdf2psf, libgd-gd2-noxpm-perl
 Standards-Version: 3.9.5
 Homepage: http://unifoundry.com
 
@@ -108,8 +108,8 @@
 Package: unifont-bin
 Section: x11
 Architecture: any
-Depends: xfonts-utils, fontforge,
- ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Depends: xfonts-utils, fontforge, ${shlibs:Depends}, ${misc:Depends},
+ ${perl:Depends}, libwx-perl, libgd-gd2-noxpm-perl
 Suggests: unifont, texinfo
 Description: utilities for manipulating GNU Unifont
  This is a set of Perl scripts, C programs, and FontForge scripts
